Account Files
Files management
Authorizations
PRIVATE-TOKENstringRequired
Responses
200
OK
application/json
idinteger · integerRead-onlyRequired
File ID
categoryinteger · integerRequired
ID of the category of the file
namestringRequired
File display name
filenamestringRequired
Name of the file
typestringRead-onlyRequired
File MIME type
sizeinteger · integerRead-onlyRequired
File size in bytes
uploadedAtinteger · integerRead-onlyRequired
UNIX timestamp of when the file was uploaded
403
Invalid credentials
500
Internal Server Error
application/json
get/v3/account/files
GET /v3/account/files HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"category": 1,
"name": "text",
"filename": "text",
"type": "text",
"size": 1,
"uploadedAt": 1
}
]Authorizations
PRIVATE-TOKENstringRequired
Path parameters
fileIdintegerRequired
ID of the file to download
Responses
200
fileContent
application/json
stringOptional
403
Invalid credentials
404
Invalid file ID
500
Internal Server Error
application/json
get/v3/account/files/{fileId}/download
GET /v3/account/files/{fileId}/download HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
textLast updated
Was this helpful?